Name:		foxtrotgps
Summary:	Easy-to-use graphical GPS tool
Version:	1.2.2
Release:	%mkrel 4
Group:		Sciences/Geosciences
License:	GPLv2
Url:		http://www.foxtrotgps.org/
Source0:	http://www.foxtrotgps.org/releases/%{name}-%{version}.tar.xz
Patch0:		0001-Update-for-gpsd-API-version-9-and-gpsd-3.20.patch
Patch1:		foxtrotgps-1.2.2-dialog10-fix.patch
Patch2:		0001-Fix-build-with-gpsd-3.21.patch
BuildRequires:	intltool
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libglade-2.0)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(libexif)
BuildRequires:	pkgconfig(libgps)
Requires:	jhead
#Requires:	gpscorrelate

%description
FoxtrotGPS is an easy-to-use graphical tool that can be used to track the
position of a GPS receiver on a map in relation to user-defined points of
interest (POIs), a destination and waypoints, and tracks loaded from files
or internet routing-services.

FoxtrotGPS also allows internet-connected users to share their position
with other users and send messages.

FoxtrotGPS is an offshoot of Marcus Bauer's excellent Free & Open Source
tangoGPS application, with a focus on cooperation and fostering community
innovation.

%prep
%setup -q
%autopatch -p1

%build
%configure
%make_build

%install
%make_install

#fix .desktop
desktop-file-edit %{buildroot}%{_datadir}/applications/%{name}.desktop

#let files section handle docs
rm -rf %{buildroot}%{_defaultdocdir}

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog HACKING NEWS README
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_datadir}/GConf/gsettings/org.%{name}.convert
%{_datadir}/glib-2.0/schemas/org.%{name}.gschema.xml
%{_datadir}/pixmaps/%{name}*.png
%{_infodir}/%{name}.info.*
%{_mandir}/man1/*


%changelog
* Fri Aug 07 2020 daviddavid <daviddavid> 1.2.2-4.mga8
+ Revision: 1611811
- add patch to fix build with gpsd 3.21
- rebuild for new gpsd 3.21

* Sun Jul 26 2020 daviddavid <daviddavid> 1.2.2-3.mga8
+ Revision: 1609081
- fix build with GCC 10

* Sat Feb 15 2020 daviddavid <daviddavid> 1.2.2-2.mga8
+ Revision: 1527301
- add upstream patch to update for gpsd API version 9 and gpsd 3.20
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Jul 11 2019 daviddavid <daviddavid> 1.2.2-1.mga8
+ Revision: 1420296
- new version: 1.2.2
- remove merged upstream patch

* Thu Jul 04 2019 daviddavid <daviddavid> 1.2.1-2.mga8
+ Revision: 1418195
- rebuild for new gpsd 3.19

* Tue Oct 09 2018 daviddavid <daviddavid> 1.2.1-1.mga7
+ Revision: 1318868
- new version: 1.2.1
- rename and rediff gpsd-3.18 patch

* Tue Oct 09 2018 daviddavid <daviddavid> 1.2.0-5.mga7
+ Revision: 1318867
- add patch to fix compatibility with GPSD API v7
- rebuild for new gpsd 3.18
- Mageia 7 Mass Rebuild

* Mon Sep 03 2018 tv <tv> 1.2.0-4.mga7
+ Revision: 1256854
- rely on filetriggers for info system (mga#23482)

* Fri Dec 22 2017 wally <wally> 1.2.0-3.mga7
+ Revision: 1183987
- rebuild for new libgps

* Fri Dec 25 2015 wally <wally> 1.2.0-2.mga6
+ Revision: 914563
- rebuild for new libgps

* Sun Jun 21 2015 wally <wally> 1.2.0-1.mga6
+ Revision: 837873
- new version 1.2.0

* Wed Oct 15 2014 umeabot <umeabot> 1.1.1-5.mga5
+ Revision: 740671
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.1-4.mga5
+ Revision: 679312
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.1.1-3.mga5
+ Revision: 504622
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.1.1-2.mga3
+ Revision: 350791
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jun 14 2012 wally <wally> 1.1.1-1.mga3
+ Revision: 260597
- new version 1.1.1

* Tue Feb 14 2012 wally <wally> 1.1.0-1.mga2
+ Revision: 208917
- new version 1.1.0
- drop unneeded patches (fixed upstream)

* Mon Jan 02 2012 fwang <fwang> 1.0.1-2.mga2
+ Revision: 189665
- fix build with latest glib
- rebuild for new gps

* Mon Oct 17 2011 wally <wally> 1.0.1-1.mga2
+ Revision: 155838
- imported package foxtrotgps

